## latex-cjk-chinese-arphic 1.15

=== debian/changelog ===
latex-cjk-chinese-arphic (1.15) unstable; urgency=medium

  * The "Remove tfm-arphic" release.
  * Medium urgency because it fixes two RC bugs.
  * [changelog] remove "debian/" in the square brackets.
     It improves my efficiency with 0,1%.
  * [control.leaf.in]
      add tfm-arphic-* to each package's Replaces: list.
      The switch closes several bugs. (Closes: #190800, #285432,
      #309074, #391261, #392555, #392948, #393278, #393279, #393281,
      #393282, #395343).
  * [README.Debian] mention that switching to the new Type1 fonts
     requires the old PK fonts to be removed ~/.texmf-var/.
  * [rules] according to Debian Policy section 4.6, it is advised
     to use a double ampersand instead of a semicolon because of
     "sh"'s poor error trapping.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Sun, 29 Oct 2006 02:00:04 +0100

latex-cjk-chinese-arphic (1.14) unstable; urgency=low

  * [{rules,README.Debian}] change my email address.
  * [copyright.in]
     - change my email address;
     - include the full Arphic Public License (thanks Jeroen van Wolffelaar).

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Sat,  7 Oct 2006 00:09:09 +0200

latex-cjk-chinese-arphic (1.13) unstable; urgency=low

  * The "Changing email address" release.
  * [rules] small aesthetic changes.
  * [changelog]
     - aesthetic changes in sync with the "cjk" Debian source package;
     - change the maintainer's email address to @edpnet.be.
  * [control] change the maintainer's email address.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Wed,  6 Sep 2006 06:52:05 +0200

latex-cjk-chinese-arphic (1.12) unstable; urgency=low

  * [control.leaf.in] change "any" to "all" again.  I forgot that
     the debian/control file gets overwritten at every build.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Tue,  8 Aug 2006 09:30:36 +0200

latex-cjk-chinese-arphic (1.11) unstable; urgency=low

  * The "Thank you Frank" release.
  * Upload sponsored by Frank Küster <frank@debian.org>.
  * [control.stem.in]
     - added Build-Depends on tetex-bin (>= 3.0) | texlive-font-utils.
       pbuilder should work now.
     - build-depend on the official freetype1-tools (>= 1.4pre.20050518-0.3)
       package instead of mine.
  * [rules] add error trapping because everything is redirected to
     $(builddir)/log.  Now, when a build fails, the log will be
     shown completely on screen.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Sun, 23 Jul 2006 07:17:44 +0200

latex-cjk-chinese-arphic (1.10) unstable; urgency=low

  * [copyright] specifically mention that debian/ is released
     under the GPL.  Thanks to Frank Küster.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Thu, 18 May 2006 23:07:08 +0200

latex-cjk-chinese-arphic (1.9) unstable; urgency=low

  * [control.stem.in] really bump up the Standards Version to 3.7.2.0.
     Doh.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Sat, 13 May 2006 09:21:16 +0200

latex-cjk-chinese-arphic (1.8) unstable; urgency=low

  * [control] bump the Standards Version to 3.7.2.0: no changes
     required.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Mon,  8 May 2006 01:34:24 +0200

latex-cjk-chinese-arphic (1.7) experimental; urgency=low

  * [control*] depend on tex-common (>=0.19) because of a typo
     in dh_installtex.  Thanks to Norbert Preining.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Wed, 13 Mar 2006 19:37:20 +0100

latex-cjk-chinese-arphic (1.6) experimental; urgency=low

  * [rules] oh dear, I installed the .fd font definition files
     of gkai and gbsn in Bg5/, not in GB/.  Thanks to CHEN Haifeng.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Thu,  2 Mar 2006 07:56:02 +0100

latex-cjk-chinese-arphic (1.5) experimental; urgency=low

  * [control*] add a conflict tfm-arphic-@TYPEFACE@ (=2.11.2-0.1)
     otherwise the package would conflict with itself.  Duh...

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Mon, 27 Feb 2006 15:35:01 +0100

latex-cjk-chinese-arphic (1.4) experimental; urgency=low

  * [control*] depend on tex-common (>=0.18), because
     dh_installtexfonts is now replaced by the more versatile
     dh_installtex command.
  * [rules] use dh_installtex from now on.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Sat, 25 Feb 2006 00:19:18 +0100

latex-cjk-chinese-arphic (1.3) experimental; urgency=low

  * [control] change architecture from "any" to "all"
     (thanks Ming Hua).
  * [control] add tfm-arphic-* to each package's Provides: list
     (thanks Anthony Fok).
  * [changelog] change "unstable" into "experimental".
  * [rules] remove a few bashisms, and clean it up somewhat.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Sat,  7 Jan 2006 00:12:02 +0100

latex-cjk-chinese-arphic (1.2) experimental; urgency=low

  * Move map files from /etc/texmf/map/dvips/arphic/ to
    /usr/share/texmf-tetex/fonts/map/dvips/arphic/.
  * Depend on tex-common (>=0.14) because it fixes a bug 
    with dh_installtexfonts when it creates the config.* files.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Thu, 28 Dec 2005 22:06:43 +0100

latex-cjk-chinese-arphic (1.1) experimental; urgency=low

  * Aaargh!  Typo in debian/control: depend on tex-common (>=0.13).

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Sat, 17 Dec 2005 05:27:09 +0100

latex-cjk-chinese-arphic (1.0) experimental; urgency=low

  * Build the TFM, Type1, AFM and VF fonts using Werner Lemberg's
    fontforge scripts.
  * Depend on fontforge (>=0.0.20050717).
  * Make this package dependent on freetype1-tools: only the .sfd files
    are important.  ttfonts.map nor ttf2pk from freetype1-tools aren't
    used anymore.
  * The path of the SFD files (/usr/share/texmf/fonts/sfd) has changed
    with TDS version 1.1.  Depend on a newer version of freetype1-tools
    (>=1.4pre.20030402-2).
  * Depend on ttf-arphic-* for the TrueType Fonts.
    Conflict with the older tfm-arphic-* packages.

