=== debian/control ===
Source: latex-cjk-chinese-arphic
Section: tex
Priority: optional
Maintainer: Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>
Build-Depends: debhelper (>= 5.0.0), fontforge (>= 0.0.20050717), freetype1-tools (>= 1.4pre.20050518-0.3), tetex-bin (>= 3.0) | texlive-font-utils, ttf-arphic-bsmi00lp, ttf-arphic-bkai00mp, ttf-arphic-gbsn00lp, ttf-arphic-gkai00mp
Standards-Version: 3.7.2.0

Package: latex-cjk-chinese-arphic-bsmi00lp
Architecture: all
Suggests: ttf-arphic-bsmi00lp
Conflicts: tfm-arphic-bsmi00lp (=2.11.2-0.1)
Provides: tfm-arphic-bsmi00lp
Replaces: tfm-arphic-bsmi00lp
Depends: tex-common (>= 0.19), latex-cjk-chinese (>= 4.6.0)
Description: traditional Chinese KaiTi fonts for CJK
 This package installs all necessary fonts (PFB, AFM, TFM, etc.) to get
 the KaiTi Arphic fonts working with the LaTeX macro "CJK" in Big5, MULE
 and UTF-8 environments.
 .
 The full name of the font is Arphic "AR PL Mingti2L Big5".

Package: latex-cjk-chinese-arphic-bkai00mp
Architecture: all
Suggests: ttf-arphic-bkai00mp
Conflicts: tfm-arphic-bkai00mp (=2.11.2-0.1)
Provides: tfm-arphic-bkai00mp
Replaces: tfm-arphic-bkai00mp
Depends: tex-common (>= 0.19), latex-cjk-chinese (>= 4.6.0)
Description: traditional Chinese KaiTi fonts for CJK
 This package installs all necessary fonts (PFB, AFM, TFM, etc.) to get
 the KaiTi Arphic fonts working with the LaTeX macro "CJK" in Big5, MULE
 and UTF-8 environments.
 .
 The full name of the font is Arphic "AR PL KaitiM Big5".

Package: latex-cjk-chinese-arphic-gbsn00lp
Architecture: all
Suggests: ttf-arphic-gbsn00lp
Conflicts: tfm-arphic-gbsn00lp (=2.11.2-0.1)
Provides: tfm-arphic-gbsn00lp
Replaces: tfm-arphic-gbsn00lp
Depends: tex-common (>= 0.19), latex-cjk-chinese (>= 4.6.0)
Description: traditional Chinese KaiTi fonts for CJK
 This package installs all necessary fonts (PFB, AFM, TFM, etc.) to get
 the KaiTi Arphic fonts working with the LaTeX macro "CJK" in Big5, MULE
 and UTF-8 environments.
 .
 The full name of the font is Arphic "AR PL SungtiL GB".

Package: latex-cjk-chinese-arphic-gkai00mp
Architecture: all
Suggests: ttf-arphic-gkai00mp
Conflicts: tfm-arphic-gkai00mp (=2.11.2-0.1)
Provides: tfm-arphic-gkai00mp
Replaces: tfm-arphic-gkai00mp
Depends: tex-common (>= 0.19), latex-cjk-chinese (>= 4.6.0)
Description: traditional Chinese KaiTi fonts for CJK
 This package installs all necessary fonts (PFB, AFM, TFM, etc.) to get
 the KaiTi Arphic fonts working with the LaTeX macro "CJK" in Big5, MULE
 and UTF-8 environments.
 .
 The full name of the font is Arphic "AR PL KaitiM GB".
