=== debian/watch ===
# You can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://partners.adobe.com/public/developer/en/opentype/aglfn13.txt
http://cjk.ffii.org/ cjk-current.tar.gz

#The source package uses the TTF already provided by ttf-arphic-{bsmi00lp,bkai00mp,gbsn00lp,gkai00mp}
#ftp://ftp.gnu.org/non-gnu/chinese-fonts-truetype/{bsmi00lp,bkai00mp,gbsn00lp,gkai00mp}.ttf.gz
