## latex-cjk-chinese-arphic 1.16

=== debian/changelog ===
latex-cjk-chinese-arphic (1.16) unstable; urgency=low

  * The "Circular dependencies go poof" release.
  * [control]
     - don't depend on latex-cjk-chinese.
       Thanks to Bill Allombert. (Closes: #396214);
     - reverse the order of the build-dependency on TeX packages,
       making TeXlive the preferred flavour;
     - remove the conflict (versioned) with and the replacement (unversioned)
       of tfm-arphic-@TYPEFACE@ (= 2.11.2-0.1), since they have now been
       removed in Debian/testing;
     - remove the virtual packages tfm-arphic-@TYPEFACE@.  A "Provides:" tag
       should be sufficient.
  * [rules]
     - fix typo in a comment;
     - don't redirect all the output to build/[font]/log, but also
       to stdout (using "tee"), making sure that tools like piuparts
       don't interpret the hour-long builds with inactivity.
       (Closes: #398517).  Thanks to Lucas Nussbaum;
     - output the current command also to the logfile.  This makes it
       easier to trace bugs;
     - change wording of the comments, to make it clear that compiling
       these fonts will take a day, not just hours; thanks to
       Werner LEMBERG.
  * [README.Debian] add a new section about how to get GBK fonts as well,
     taking the Arphic fonts as an example.  In the near future I will
     merge this info with the Cyberbit section into one document in the
     latex-cjk-common package.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Mon,  5 Feb 2007 01:14:57 +0100
