=== debian/control ===
--- 
+++ 
@@ -8,10 +8,8 @@
 Package: latex-cjk-chinese-arphic-bsmi00lp
 Architecture: all
 Suggests: ttf-arphic-bsmi00lp
-Conflicts: tfm-arphic-bsmi00lp (=2.11.2-0.1)
 Provides: tfm-arphic-bsmi00lp
-Replaces: tfm-arphic-bsmi00lp
-Depends: tex-common (>= 0.19), latex-cjk-chinese (>= 4.6.0)
+Depends: tex-common (>= 0.19)
 Description: traditional Chinese KaiTi fonts for CJK
  This package installs all necessary fonts (PFB, AFM, TFM, etc.) to get
  the KaiTi Arphic fonts working with the LaTeX macro "CJK" in Big5, MULE
@@ -22,10 +20,8 @@
 Package: latex-cjk-chinese-arphic-bkai00mp
 Architecture: all
 Suggests: ttf-arphic-bkai00mp
-Conflicts: tfm-arphic-bkai00mp (=2.11.2-0.1)
 Provides: tfm-arphic-bkai00mp
-Replaces: tfm-arphic-bkai00mp
-Depends: tex-common (>= 0.19), latex-cjk-chinese (>= 4.6.0)
+Depends: tex-common (>= 0.19)
 Description: traditional Chinese KaiTi fonts for CJK
  This package installs all necessary fonts (PFB, AFM, TFM, etc.) to get
  the KaiTi Arphic fonts working with the LaTeX macro "CJK" in Big5, MULE
@@ -36,10 +32,8 @@
 Package: latex-cjk-chinese-arphic-gbsn00lp
 Architecture: all
 Suggests: ttf-arphic-gbsn00lp
-Conflicts: tfm-arphic-gbsn00lp (=2.11.2-0.1)
 Provides: tfm-arphic-gbsn00lp
-Replaces: tfm-arphic-gbsn00lp
-Depends: tex-common (>= 0.19), latex-cjk-chinese (>= 4.6.0)
+Depends: tex-common (>= 0.19)
 Description: traditional Chinese KaiTi fonts for CJK
  This package installs all necessary fonts (PFB, AFM, TFM, etc.) to get
  the KaiTi Arphic fonts working with the LaTeX macro "CJK" in Big5, MULE
@@ -50,10 +44,8 @@
 Package: latex-cjk-chinese-arphic-gkai00mp
 Architecture: all
 Suggests: ttf-arphic-gkai00mp
-Conflicts: tfm-arphic-gkai00mp (=2.11.2-0.1)
 Provides: tfm-arphic-gkai00mp
-Replaces: tfm-arphic-gkai00mp
-Depends: tex-common (>= 0.19), latex-cjk-chinese (>= 4.6.0)
+Depends: tex-common (>= 0.19)
 Description: traditional Chinese KaiTi fonts for CJK
  This package installs all necessary fonts (PFB, AFM, TFM, etc.) to get
  the KaiTi Arphic fonts working with the LaTeX macro "CJK" in Big5, MULE
