=== debian/rules ===
--- 
+++ 
@@ -104,46 +104,46 @@
 	# You will find a detailed log of the build process in $(builddir)/log.
 
 	# Create Unicode encoded subfonts `$(uninamestem)00' .. `$(uninamestem)ff'.
-	# This will take more than an hour.  Make yourself a cup of tea.
-	@echo fontforge -script subfonts.pe $(typeface).ttf $(uninamestem) $(sfddir)/Unicode.sfd
-	@( cd $(builddir) && fontforge -script subfonts.pe $(typeface).ttf $(uninamestem) $(sfddir)/Unicode.sfd > log 2>&1 || ($(ERR)) )
+	# This will take a lot of hours.  Make yourself a nice day.
+	echo fontforge -script subfonts.pe $(typeface).ttf $(uninamestem) $(sfddir)/Unicode.sfd > log
+	@( cd $(builddir) && fontforge -script subfonts.pe $(typeface).ttf $(uninamestem) $(sfddir)/Unicode.sfd 2>&1 | tee --append log || ($(ERR)) )
 	@echo
 
 	# Create font `$(uninamestem)v' with all vertical glyph representation forms.
-	@echo fontforge -script vertical.pe $(typeface).ttf $(uninamestem)v
-	@( cd $(builddir) && fontforge -script vertical.pe $(typeface).ttf $(uninamestem)v >> log 2>&1 || ($(ERR)) )
+	echo fontforge -script vertical.pe $(typeface).ttf $(uninamestem)v >> $(builddir)/log
+	@( cd $(builddir) && fontforge -script vertical.pe $(typeface).ttf $(uninamestem)v 2>&1 | tee --append log || ($(ERR)) )
 	@echo
 
 	# Create font `$(uninamestem)vr' which has the same structure as `$(uninamestem)v',
 	# but normal glyphs instead of vertical representation forms.
-	@echo fontforge -script vertref.pe $(typeface).ttf $(uninamestem)vr
-	@( cd $(builddir) && fontforge -script vertref.pe $(typeface).ttf $(uninamestem)vr >> log 2>&1 || ($(ERR)) )
+	echo fontforge -script vertref.pe $(typeface).ttf $(uninamestem)vr >> $(builddir)/log
+	@( cd $(builddir) && fontforge -script vertref.pe $(typeface).ttf $(uninamestem)vr 2>&1 | tee --append log || ($(ERR)) )
 	@echo
 
 	# Create a virtual font `$(sfdnamestem)v' which is a clone of `$(uninamestem)v'.
-	@echo perl clonevf.pl $(uninamestem)v $(sfdnamestem)v
-	@( cd $(builddir) && perl clonevf.pl $(uninamestem)v $(sfdnamestem)v >> log 2>&1 || ($(ERR)) )
+	echo perl clonevf.pl $(uninamestem)v $(sfdnamestem)v >> $(builddir)/log
+	@( cd $(builddir) && perl clonevf.pl $(uninamestem)v $(sfdnamestem)v 2>&1 | tee --append log || ($(ERR)) )
 	@echo
 
 	# Create virtual fonts `$(sfdnamestem)00' .. `$(sfdnamestem)$(planes)' in $(encoding) encoding
 	# which use Unicode encoded `$(uninamestem)XX' subfonts as raw fonts
 	# and `$(codingscheme)' as the `CODINGSCHEME' parameter value.
-	@echo perl uni2sfd.pl $(uninamestem) $(sfddir)/$(encoding).sfd $(sfdnamestem) $(codingscheme)
-	@( cd $(builddir) && perl uni2sfd.pl $(uninamestem) $(sfddir)/$(encoding).sfd $(sfdnamestem) $(codingscheme) >> log 2>&1 || ($(ERR)) )
+	echo perl uni2sfd.pl $(uninamestem) $(sfddir)/$(encoding).sfd $(sfdnamestem) $(codingscheme) >> $(builddir)/log
+	@( cd $(builddir) && perl uni2sfd.pl $(uninamestem) $(sfddir)/$(encoding).sfd $(sfdnamestem) $(codingscheme) 2>&1 | tee --append log || ($(ERR)) )
 	@echo
 
 	# Create entries for the extended font definition file
 	# `c$(nfss_fontencoding)$(namestem).fdx' (which uses $(encoding) encoding), with `$(uninamestem)vr' as
 	# the reference font.
-	@echo perl makefdx.pl $(uninamestem)vr.afm $(sfddir)/$(encoding).sfd c$(nfss_fontencoding)$(namestem).fdx
-	@( cd $(builddir) && perl makefdx.pl $(uninamestem)vr.afm $(sfddir)/$(encoding).sfd c$(nfss_fontencoding)$(namestem).fdx >> log 2>&1 || ($(ERR)) )
+	echo perl makefdx.pl $(uninamestem)vr.afm $(sfddir)/$(encoding).sfd c$(nfss_fontencoding)$(namestem).fdx >> $(builddir)/log
+	@( cd $(builddir) && perl makefdx.pl $(uninamestem)vr.afm $(sfddir)/$(encoding).sfd c$(nfss_fontencoding)$(namestem).fdx 2>&1 | tee --append log || ($(ERR)) )
 	@echo
 
 	# Create entries for the extended font definition file
-	# `c$(nfss_fontencoding)$(namestem).fdx' (which uses Unicode encoding), with `$(uninamestem)vr' as
+	# `c70$(namestem).fdx' (which uses Unicode encoding), with `$(uninamestem)vr' as
 	# the reference font.
-	@echo perl makefdx.pl $(uninamestem)vr.afm $(sfddir)/Unicode.sfd c70$(namestem).fdx
-	@( cd $(builddir) && perl makefdx.pl $(uninamestem)vr.afm $(sfddir)/Unicode.sfd c70$(namestem).fdx >> log 2>&1 || ($(ERR)) )
+	echo perl makefdx.pl $(uninamestem)vr.afm $(sfddir)/Unicode.sfd c70$(namestem).fdx >> $(builddir)/log
+	@( cd $(builddir) && perl makefdx.pl $(uninamestem)vr.afm $(sfddir)/Unicode.sfd c70$(namestem).fdx 2>&1 | tee --append log || ($(ERR)) )
 	@echo
 
 	# Remove the *.enc files; they're not used.
@@ -224,6 +224,3 @@
 	dh_testroot $(DH_OPTIONS)
 	dh_installchangelogs $(DH_OPTIONS)
 	dh_installdocs $(DH_OPTIONS)
-	dh_installexamples $(DH_OPTIONS)
-	dh_install $(DH_OPTIONS) $(builddir)/*.afm $(dest_afmpath)/
-	dh_install $(DH_OPTIONS) $(builddir)/$(uninamestem)*.tfm $(dest_uni-tfmpath)/
