## latex-cjk-chinese-arphic 1.17

=== debian/changelog ===
latex-cjk-chinese-arphic (1.17) unstable; urgency=medium

  DEPEND on fontforge (>= 0.0.20070607-1) ??
  * Set urgencey to "medium" to fix two FTBFS bugs.
  * [latex-cjk/vert*.pe] Remove the line with SelectByAtt, which has been
      made deprecated upstream.  This fixes "FTBFS: Fontforge doesn't
      support SelectByATT anymore" (Closes: #424999).
  * [control.stem.in]
     - Remove "tetex-bin" in Build-Depends-Indep.
       This fixes "FTBFS: latex-cjk-chinese-arphic-bsmi00lp missing files
       (build/bsmi00lp/bsmilp*.tfm), aborting" (Closes: #422828).
       Thanks to Michael Ablassmeier and Lucas Nussbaum;
     - put "debhelper" in Build-Depends, the rest of the packages in
       Build-Depends-Indep.  Thanks to Florent Rougon;
     - minor cleanups.
  * [rules]
     - Some of the logs weren't directed yet to $(builddir)/;
     - add a few arguments after "dh_testdir" when cleaning, to make
       sure we're deleting the correct directory.  Thanks to Florent Rougon.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Thu, 14 Jun 2007 17:03:02 +0200
