=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 # debian/rules file
-# GNU GPL v2, Copyright (C) 2005-2006, Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>
+# GNU GPL v2, Copyright (C) 2005-2007, Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -17,6 +17,7 @@
 bsmi_uninamestem = bsmiu
 bsmi_familyname = AR PL Mingti2L Big5
 bsmi_encoding = UBig5
+bsmi_hoffset = -0.12em
 
 bkai_typeface = bkai00mp
 bkai_namestem = bkai
@@ -24,6 +25,7 @@
 bkai_uninamestem = bkaiu
 bkai_familyname = AR PL KaitiM Big5
 bkai_encoding = UBig5
+bkai_hoffset = -0.12em
 
 gbsn_typeface = gbsn00lp
 gbsn_namestem = gbsn
@@ -31,6 +33,7 @@
 gbsn_uninamestem = gbsnu
 gbsn_familyname = AR PL SungtiL GB
 gbsn_encoding = UGB
+gbsn_hoffset = -0.12em
 
 gkai_typeface = gkai00mp
 gkai_namestem = gkai
@@ -38,6 +41,7 @@
 gkai_uninamestem = gkaiu
 gkai_familyname = AR PL KaitiM GB
 gkai_encoding = UGB
+gkai_hoffset = -0.12em
 
 cjk_fontencoding = 0
 UBig5_planes = 55
@@ -105,7 +109,7 @@
 
 	# Create Unicode encoded subfonts `$(uninamestem)00' .. `$(uninamestem)ff'.
 	# This will take a lot of hours.  Make yourself a nice day.
-	echo fontforge -script subfonts.pe $(typeface).ttf $(uninamestem) $(sfddir)/Unicode.sfd > log
+	echo fontforge -script subfonts.pe $(typeface).ttf $(uninamestem) $(sfddir)/Unicode.sfd > $(builddir)/log
 	@( cd $(builddir) && fontforge -script subfonts.pe $(typeface).ttf $(uninamestem) $(sfddir)/Unicode.sfd 2>&1 | tee --append log || ($(ERR)) )
 	@echo
 
@@ -181,7 +185,7 @@
 	touch $@
 
 clean: pre-clean $(clean_fonts)
-	dh_testdir
+	dh_testdir debian/font.fd.in debian/latex-cjk/subfonts.pe
 	dh_testroot
 	rm -f build-stamp
 
@@ -218,9 +222,3 @@
 
 binary-indep: build install $(binary_fonts)
 $(binary_fonts): abbrev = $(patsubst binary_%,%,$@)
-$(binary_fonts): DH_OPTIONS = -p$(bin-package) -P$(d)
-$(binary_fonts):
-	dh_testdir $(DH_OPTIONS)
-	dh_testroot $(DH_OPTIONS)
-	dh_installchangelogs $(DH_OPTIONS)
-	dh_installdocs $(DH_OPTIONS)
