## latex-cjk-chinese-arphic 1.18

=== debian/changelog ===
latex-cjk-chinese-arphic (1.18) unstable; urgency=low

  * The "I love vertical writing" release.
  * [changelog]
     - Remove a superfluous item from 1.17;
     - typo in 1.17.
  * [latex-cjk/makefdx.pl] Remove hoffset again.  This setting
     is applied not only after \CJKhorz, but after \CJKvert, which
     isn't exactly what we want.
  * [latex-cjk/{*.pe,*.pl}] Upstream update.
  * [control.stem.in]
     - Build-Depend on fontforge (>= 0.0.20071105);
     - bump Standards-Version from 3.7.2.0 to 3.7.3;
     - depend on debhelper (>= 6).
  * [compat] Move to debhelper compatibility level 6.
  * [rules]
     - makefdx.pl now requires an extra "encoding" argument.
       Also use the "-u" flag when creating Unicode .fdx files;
     - use $(MY_DH_OPTIONS) instead of $(DH_OPTIONS).  Now it shouldn't
       break anymore on parallel computers, making the compilation much
       faster.  Thanks to Lucas Nussbaum (Closes: #458740);
     - removed a possible bashism, changing "{,x}" into "*".
  * [*.preinst] dh_installtex has moved the default priority from 10 to
     20, rendering the /etc/texmf/updmap.d/10latex-cjk-chinese*.cfg
     conffiles obsolete.  This script will create a backup in
     /etc/texmf/updmap.d/ if you have manually modified any of the 10*.cfg
     file.  Thanks to Kumar Appaiah
     (Closes: #455461, #455462, #455463, #455464).

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Mon, 28 Jan 2008 19:04:36 +0100
