=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: tex
 Priority: optional
 Maintainer: Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>
-Build-Depends: debhelper (>= 5.0.0)
+Build-Depends: debhelper (>= 6)
 Build-Depends-Indep: fontforge (>= 0.0.20050717), freetype1-tools (>= 1.4pre.20050518-0.3), texlive-font-utils, ttf-arphic-bsmi00lp, ttf-arphic-bkai00mp, ttf-arphic-gbsn00lp, ttf-arphic-gkai00mp
-Standards-Version: 3.7.2.0
+Standards-Version: 3.7.3
 
 Package: latex-cjk-chinese-arphic-bsmi00lp
 Architecture: all
