=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,14 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# Support parallel builds when available.
+# Cfr. Debian bugs #209008 and #458740.
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    MAKEFLAGS += -j$(NUMJOBS)
+endif
+
 
 # Arphic PL fonts information
 
@@ -139,16 +147,22 @@
 	# Create entries for the extended font definition file
 	# `c$(nfss_fontencoding)$(namestem).fdx' (which uses $(encoding) encoding), with `$(uninamestem)vr' as
 	# the reference font.
-	echo perl makefdx.pl $(uninamestem)vr.afm $(sfddir)/$(encoding).sfd c$(nfss_fontencoding)$(namestem).fdx >> $(builddir)/log
-	@( cd $(builddir) && perl makefdx.pl $(uninamestem)vr.afm $(sfddir)/$(encoding).sfd c$(nfss_fontencoding)$(namestem).fdx 2>&1 | tee --append log || ($(ERR)) )
+	echo perl makefdx.pl $(uninamestem)vr.afm $(sfddir)/$(encoding).sfd c$(nfss_fontencoding) $(namestem) >> $(builddir)/log
+	@( cd $(builddir) && perl makefdx.pl $(uninamestem)vr.afm $(sfddir)/$(encoding).sfd c$(nfss_fontencoding) $(namestem) 2>&1 | tee --append log || ($(ERR)) )
 	@echo
 
 	# Create entries for the extended font definition file
 	# `c70$(namestem).fdx' (which uses Unicode encoding), with `$(uninamestem)vr' as
 	# the reference font.
-	echo perl makefdx.pl $(uninamestem)vr.afm $(sfddir)/Unicode.sfd c70$(namestem).fdx >> $(builddir)/log
-	@( cd $(builddir) && perl makefdx.pl $(uninamestem)vr.afm $(sfddir)/Unicode.sfd c70$(namestem).fdx 2>&1 | tee --append log || ($(ERR)) )
-	@echo
+	echo perl makefdx.pl -u $(uninamestem)vr.afm $(sfddir)/Unicode.sfd c70$ $(namestem) >> $(builddir)/log
+	@( cd $(builddir) && perl makefdx.pl -u $(uninamestem)vr.afm $(sfddir)/Unicode.sfd c70 $(namestem) 2>&1 | tee --append log || ($(ERR)) )
+	@echo
+
+	# Temporary fix, because the latest makefdx.pl fails to create
+	# a .fdx file for fonts without a proper GSUB table.
+	# TODO: make an if-clause around dh_install.  Or wait until a
+	# version in CJK upstream bails out gracefully.
+#	( cd $(builddir) && touch c70$(namestem).fdx c$(nfss_fontencoding)$(namestem).fdx )
 
 	# Remove the *.enc files; they're not used.
 	@( cd $(builddir) && rm -f *.enc )
@@ -196,29 +210,10 @@
 	cd debian && cp control.stem.in control
 
 $(clean_fonts): abbrev = $(patsubst clean_%,%,$@)
-$(clean_fonts): DH_OPTIONS = -p$(bin-package) -P$(d)
+$(clean_fonts): MY_DH_OPTIONS = -p$(bin-package) -P$(d)
 $(clean_fonts):
 	@cd debian && \
 	    sed -e 's/@TYPEFACE@/$(typeface)/g' \
 		-e 's/@FAMILYNAME@/$(familyname)/g' \
 		control.leaf.in >> control
 	@cd debian && \
-	    sed -e 's/@ABBREV@/$(abbrev)/g' \
-		-e 's/@FAMILYNAME@/$(familyname)/g' \
-		-e 's/@TYPEFACE@/$(typeface)/g' \
-		copyright.in > $(bin-package).copyright
-	dh_clean $(DH_OPTIONS)
-	rm -f build-stamp.$(abbrev)
-
-
-install: build $(install_fonts)
-$(install_fonts): abbrev = $(patsubst install_%,%,$@)
-$(install_fonts): DH_OPTIONS = -p$(bin-package) -P$(d)
-$(install_fonts):
-	dh_testdir
-	dh_testroot
-	dh_clean -k 
-	dh_installdirs
-
-binary-indep: build install $(binary_fonts)
-$(binary_fonts): abbrev = $(patsubst binary_%,%,$@)
