## latex-cjk-chinese-arphic 1.19

=== debian/changelog ===
latex-cjk-chinese-arphic (1.19) unstable; urgency=medium

  * The "Where art thou, oh vertical fonts" release.
  * Urgency set to medium, as this release fixes an FTBFS bug.
  * [rules]
     - Fix problem in the $(clean_fonts) rule when running target "clean"
       with -j: some debian/control entries could be missing.  Thanks to
       Lucas Nussbaum for the patch (Closes: #465635);
     - with debhelper V7 you don't need to manually remove the *-stamp
       files anymore;
     - replace "dh_clean -k" with "dh_prep";
     - README.Debian was installed by dh_installdocs only in the first
       binary package that appeared in debian/control.  Install this file
       in all four binary packages;
     - bump copyright to 2008, and change from GPLv2 to GPLv2+;
     - remove the exhaustive error and log handling;
     - only build support for vertical writing for fonts that actually do
       have a proper GSUB table, to know "bsmi" and "bkai"; "gbsn" and "gkai"
       don't, so we compile the vertical fonts for gbsn and gkai with pltotf
       and vptovf.
  * [copyright.in]
     - Bump copyright to 2008;
     - change the link to /usr/share/common-licenses/GPL-2 instead of /GPL,
       which is now symlinked to /GPL-3.
  * [compat] Bump debhelper compatibility to level 7.
  * [control.stem.in]
     - Depend on debhelper (>= 7);
     - bump Standards-Version from 3.7.3 to 3.8.0;
     - fix package descriptions for bsmi, gbsn and gkai.  Thanks to
       FENG Yu-ning (Closes: #478078);
     - Bug fix: Build-Depend-Indep on texlive-font-utils (>= 2007.dfsg.2)
       instead of the deprecated freetype1-tools.  Thanks to Norbert Preining
       and madcoder (Closes: #484081);
     - add "sharutils" to the Build-Depends-Indep list to unpack the vertical
       fonts;
     - build-depend on tex-common version 1.11.2 or higher, which fixes a
       debhelper and Emacs error.  Thanks to Norbert Preining;
     - switch from Xs-Vcs-* to Vcs-*;
     - use the correct SVN address from Debian Alioth, not from
       upstream's GIT repository.
  * [gbsn*,gkai*] I got these files from versions 1.18 and 1.15, when the
     Fontforge scripts didn't bail out if the TTF didn't contain a valid GSUB
     table.
  * [TODO] Add a reminder that I should either fix the vertical support for
     gbsn and gkai, or either completely remove support for it.
  * [README.Debian] Update dependencies.
  * [watch] Remove this file; it is of no use, because the Arphic fonts will
     never be updated again, and because this package is a Debian native
     package.
  * Changes by the sponsor, Norbert Preining:
     [README.Debian] Fix the location of the SFD fonts.
     [rules] Fix the location of the SFD fonts.
     [control] Remove double occurrence of texlive-font-utils in the
      build-depends-indep.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Sat, 16 Aug 2008 23:40:16 +0200
