=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 # debian/rules file
-# GNU GPL v2, Copyright (C) 2005-2007, Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>
+# GNU GPL v2 or higher, Copyright (C) 2005-2008, Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -26,6 +26,7 @@
 bsmi_familyname = AR PL Mingti2L Big5
 bsmi_encoding = UBig5
 bsmi_hoffset = -0.12em
+bsmi_vertical = yes
 
 bkai_typeface = bkai00mp
 bkai_namestem = bkai
@@ -34,6 +35,7 @@
 bkai_familyname = AR PL KaitiM Big5
 bkai_encoding = UBig5
 bkai_hoffset = -0.12em
+bkai_vertical = yes
 
 gbsn_typeface = gbsn00lp
 gbsn_namestem = gbsn
@@ -42,6 +44,7 @@
 gbsn_familyname = AR PL SungtiL GB
 gbsn_encoding = UGB
 gbsn_hoffset = -0.12em
+gbsn_vertical = no
 
 gkai_typeface = gkai00mp
 gkai_namestem = gkai
@@ -50,6 +53,7 @@
 gkai_familyname = AR PL KaitiM GB
 gkai_encoding = UGB
 gkai_hoffset = -0.12em
+gkai_vertical = no
 
 cjk_fontencoding = 0
 UBig5_planes = 55
@@ -78,6 +82,7 @@
 build-stamp_fonts = $(addprefix build-stamp.,$(fonts))
 install_fonts = $(addprefix install_,$(fonts))
 clean_fonts = $(addprefix clean_,$(fonts))
+vertical = $($(abbrev)_vertical)
 
 # Path names
 
@@ -93,9 +98,7 @@
 dest_docpath = usr/share/doc/texmf/fonts/$(fonttype)/$(supplier)
 dest_fd = $($(encoding)_texinput)
 builddir = build/$(typeface)
-sfddir = /$(texmf)/fonts/sfd
-
-ERR = cat log && echo "Errare humanum! Please have a look at $(builddir)/log." && exit 1
+sfddir = /usr/share/texmf-texlive/fonts/sfd
 
 
 build: build-stamp
@@ -117,55 +120,60 @@
 
 	# Create Unicode encoded subfonts `$(uninamestem)00' .. `$(uninamestem)ff'.
 	# This will take a lot of hours.  Make yourself a nice day.
-	echo fontforge -script subfonts.pe $(typeface).ttf $(uninamestem) $(sfddir)/Unicode.sfd > $(builddir)/log
-	@( cd $(builddir) && fontforge -script subfonts.pe $(typeface).ttf $(uninamestem) $(sfddir)/Unicode.sfd 2>&1 | tee --append log || ($(ERR)) )
-	@echo
+	( cd $(builddir) && fontforge -script subfonts.pe $(typeface).ttf $(uninamestem) $(sfddir)/Unicode.sfd )
+	@echo
+
 
 	# Create font `$(uninamestem)v' with all vertical glyph representation forms.
-	echo fontforge -script vertical.pe $(typeface).ttf $(uninamestem)v >> $(builddir)/log
-	@( cd $(builddir) && fontforge -script vertical.pe $(typeface).ttf $(uninamestem)v 2>&1 | tee --append log || ($(ERR)) )
+	if [[ $(vertical) == "yes" ]]; \
+	then ( cd $(builddir) && fontforge -script vertical.pe $(typeface).ttf $(uninamestem)v ); \
+	fi
 	@echo
 
 	# Create font `$(uninamestem)vr' which has the same structure as `$(uninamestem)v',
 	# but normal glyphs instead of vertical representation forms.
-	echo fontforge -script vertref.pe $(typeface).ttf $(uninamestem)vr >> $(builddir)/log
-	@( cd $(builddir) && fontforge -script vertref.pe $(typeface).ttf $(uninamestem)vr 2>&1 | tee --append log || ($(ERR)) )
+	if [[ $(vertical) == "yes" ]]; \
+	then ( cd $(builddir) && fontforge -script vertref.pe $(typeface).ttf $(uninamestem)vr ); \
+	fi
 	@echo
 
 	# Create a virtual font `$(sfdnamestem)v' which is a clone of `$(uninamestem)v'.
-	echo perl clonevf.pl $(uninamestem)v $(sfdnamestem)v >> $(builddir)/log
-	@( cd $(builddir) && perl clonevf.pl $(uninamestem)v $(sfdnamestem)v 2>&1 | tee --append log || ($(ERR)) )
-	@echo
+	if [[ $(vertical) == "yes" ]]; \
+	then ( cd $(builddir) && perl clonevf.pl $(uninamestem)v $(sfdnamestem)v ); \
+	fi
+	@echo
+
+	# Temporary fix to create vertical files for gkai and gbsn.
+	# It builds gkaimpv.tfm AND gkaimpv.vp.tfm.  But no vertical form.
+	# Bug to be fixed.
+	if [[ $(vertical) == "no" ]]; \
+	then ( cp debian/$(sfdnamestem)v.vp debian/$(uninamestem)* $(builddir)/ && \
+	    cd $(builddir) && \
+	    for i in *.uu; do uudecode $$i; done && \
+	    vptovf $(sfdnamestem)v.vp $(sfdnamestem)v.vf $(sfdnamestem)v.tfm && \
+	    pltotf $(uninamestem)v.pl $(uninamestem)v.tfm ); \
+	fi
 
 	# Create virtual fonts `$(sfdnamestem)00' .. `$(sfdnamestem)$(planes)' in $(encoding) encoding
 	# which use Unicode encoded `$(uninamestem)XX' subfonts as raw fonts
 	# and `$(codingscheme)' as the `CODINGSCHEME' parameter value.
-	echo perl uni2sfd.pl $(uninamestem) $(sfddir)/$(encoding).sfd $(sfdnamestem) $(codingscheme) >> $(builddir)/log
-	@( cd $(builddir) && perl uni2sfd.pl $(uninamestem) $(sfddir)/$(encoding).sfd $(sfdnamestem) $(codingscheme) 2>&1 | tee --append log || ($(ERR)) )
+	( cd $(builddir) && perl uni2sfd.pl $(uninamestem) $(sfddir)/$(encoding).sfd $(sfdnamestem) $(codingscheme) )
 	@echo
 
 	# Create entries for the extended font definition file
 	# `c$(nfss_fontencoding)$(namestem).fdx' (which uses $(encoding) encoding), with `$(uninamestem)vr' as
 	# the reference font.
-	echo perl makefdx.pl $(uninamestem)vr.afm $(sfddir)/$(encoding).sfd c$(nfss_fontencoding) $(namestem) >> $(builddir)/log
-	@( cd $(builddir) && perl makefdx.pl $(uninamestem)vr.afm $(sfddir)/$(encoding).sfd c$(nfss_fontencoding) $(namestem) 2>&1 | tee --append log || ($(ERR)) )
+	( cd $(builddir) && perl makefdx.pl $(uninamestem)vr.afm $(sfddir)/$(encoding).sfd c$(nfss_fontencoding) $(namestem) )
 	@echo
 
 	# Create entries for the extended font definition file
 	# `c70$(namestem).fdx' (which uses Unicode encoding), with `$(uninamestem)vr' as
 	# the reference font.
-	echo perl makefdx.pl -u $(uninamestem)vr.afm $(sfddir)/Unicode.sfd c70$ $(namestem) >> $(builddir)/log
-	@( cd $(builddir) && perl makefdx.pl -u $(uninamestem)vr.afm $(sfddir)/Unicode.sfd c70 $(namestem) 2>&1 | tee --append log || ($(ERR)) )
-	@echo
-
-	# Temporary fix, because the latest makefdx.pl fails to create
-	# a .fdx file for fonts without a proper GSUB table.
-	# TODO: make an if-clause around dh_install.  Or wait until a
-	# version in CJK upstream bails out gracefully.
-#	( cd $(builddir) && touch c70$(namestem).fdx c$(nfss_fontencoding)$(namestem).fdx )
+	( cd $(builddir) && perl makefdx.pl -u $(uninamestem)vr.afm $(sfddir)/Unicode.sfd c70 $(namestem) )
+	@echo
 
 	# Remove the *.enc files; they're not used.
-	@( cd $(builddir) && rm -f *.enc )
+	( cd $(builddir) && rm -f *.enc )
 	@echo
 
 	# Create a Type1 font map.
@@ -198,22 +206,35 @@
 
 	touch $@
 
-clean: pre-clean $(clean_fonts)
+clean: $(clean_fonts)
+	cat debian/control.stem.in debian/control.font.* > debian/control
+	rm debian/control.font.*
 	dh_testdir debian/font.fd.in debian/latex-cjk/subfonts.pe
 	dh_testroot
-	rm -f build-stamp
-
-	dh_clean 
+
+	dh_clean
 	rm -rf build/
-
-pre-clean:
-	cd debian && cp control.stem.in control
 
 $(clean_fonts): abbrev = $(patsubst clean_%,%,$@)
 $(clean_fonts): MY_DH_OPTIONS = -p$(bin-package) -P$(d)
 $(clean_fonts):
+	# there was a possible race condition here when running with make -j,
+	# with >> control. We append to seperate files instead.
 	@cd debian && \
 	    sed -e 's/@TYPEFACE@/$(typeface)/g' \
 		-e 's/@FAMILYNAME@/$(familyname)/g' \
-		control.leaf.in >> control
-	@cd debian && \
+		control.leaf.in >> control.font.$(bin-package)
+	@cd debian && \
+	    sed -e 's/@ABBREV@/$(abbrev)/g' \
+		-e 's/@FAMILYNAME@/$(familyname)/g' \
+		-e 's/@TYPEFACE@/$(typeface)/g' \
+		copyright.in > $(bin-package).copyright
+	dh_clean $(MY_DH_OPTIONS)
+	rm -f build-stamp.$(abbrev)
+
+install: build $(install_fonts)
+$(install_fonts): abbrev = $(patsubst install_%,%,$@)
+$(install_fonts): MY_DH_OPTIONS = -p$(bin-package) -P$(d)
+$(install_fonts):
+	dh_testdir $(MY_DH_OPTIONS)
+	dh_testroot $(MY_DH_OPTIONS)
